> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zamp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Registrations

> View state tax registrations for your company.

The registrations endpoint provides information about state registrations for a given company.

## The Registration Object

| Property                  | Type              | Description                              |
| ------------------------- | ----------------- | ---------------------------------------- |
| `state`                   | string (2-letter) | State code for the registration          |
| `registration.taxId`      | string            | State-assigned tax identification number |
| `registration.startedAt`  | date (ISO 8601)   | Date registration became effective       |
| `registration.endedAt`    | date (optional)   | Date registration ended, if applicable   |
| `location.line1`          | string            | First line of business address           |
| `location.line2`          | string (optional) | Second line of business address          |
| `location.city`           | string            | City name                                |
| `location.state`          | string (2-letter) | State code                               |
| `location.zip`            | string            | ZIP or postal code                       |
| `frequencies[].code`      | string            | Frequency code                           |
| `frequencies[].startedAt` | date              | Date frequency became effective          |
| `frequencies[].endedAt`   | date (optional)   | Date frequency ended                     |

### Frequency Codes

`A` (Annual), `M` (Monthly), `MDFA`, `MP`, `NYA`, `NYQ`, `NYQP`, `Q` (Quarterly), `QP`, `SA` (Semi-Annual)

### Example

```json theme={null}
{
  "state": "KS",
  "registration": {
    "taxId": "K100234567",
    "startedAt": "2024-01-01",
    "endedAt": null
  },
  "location": {
    "line1": "120 SW 10TH AVE",
    "line2": null,
    "city": "TOPEKA",
    "state": "KS",
    "zip": "66612"
  },
  "frequencies": [
    {
      "code": "M",
      "startedAt": "2024-01-01",
      "endedAt": null
    }
  ]
}
```

## List Company Registrations

<ParamField query="companyId" type="string">
  The unique Zamp identifier for a given company. Reserved for Zamp partners.
</ParamField>

<ParamField query="state" type="string">
  Filter registrations by 2-letter state code.
</ParamField>

### Request

```bash GET /registrations theme={null}
curl -G https://api.zamp.com/registrations \
  -H "Authorization: Bearer {token}" \
  -d state=KS
```

### Response

```json 200 theme={null}
[
  {
    "state": "KS",
    "registration": {
      "taxId": "K100234567",
      "startedAt": "2024-01-01",
      "endedAt": null
    },
    "location": {
      "line1": "120 SW 10TH AVE",
      "line2": null,
      "city": "TOPEKA",
      "state": "KS",
      "zip": "66612"
    },
    "frequencies": [
      {
        "code": "M",
        "startedAt": "2024-01-01",
        "endedAt": null
      }
    ]
  }
]
```
